#include <opencv2/highgui/highgui.hpp>
#include <opencv2/imgproc/imgproc.hpp>
#include <opencv2/core/core.hpp>
#include <iostream>
#include <string>
using
namespace  cv;

using
namespace  std;

int main(int argc, char** argv)
{
    int count=100;
    string str = argv[1];
    string gstformat = "NV12";
    string gstfile = "v4l2src device=" + str + " ! video/x-raw,format=" + gstformat + ",width=3840,height=2160,framerate=30/30 ! videoconvert ! appsink";
    VideoCapture capture(gstfile);

    Mat frame, sizedFrame;
    namedWindow("video", 0);
    while (count)
    {
        capture >> frame;

        if (frame.empty()) {
            break;
        }
        int h = frame.rows;
        int w = frame.cols;
	cv::resize(frame, sizedFrame, cv::Size(800, 600));
        imshow("video", sizedFrame);
	cv::waitKey(15);
    }
    return 0;
}
